> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/mongodb/api/v1-api/enable-the-biconnector.md).

# Enable the BI Connector

This section shows you how to enable the BI Connector on an existing cluster.

{% hint style="info" %}
**Note:** This feature is only available for enterprise clusters.
{% endhint %}

## Modify the cluster

The BI Connector is enabled by modifying a cluster attribute with a PATCH request.

* Set `biConnector.enabled` to `true` to enable the BI Connector for this cluster.
* You can disable it at any time by setting this attribute to `false` again.

{% hint style="info" %}
**Note:** Only contract administrators and owners can create and change database clusters. In contrast, the running database cluster can be accessed from all servers in the specified LAN.
{% endhint %}

### Endpoint

Use the following endpoint to enable the BI Connector: `https://api.ionos.com/databases/mongodb/clusters`

{% hint style="info" %}
**Note:** The sample cluster UUID is `498ae72f-411f-11eb-9d07-046c59cc737e`.
{% endhint %}

### Request

```bash
curl --include \
    --request PATCH \
    --user "clientname@ionos.com:Mb2.r5oHf-0t" \
    --header "Content-Type: application/json" \
    --data-binary '{
      "properties": {
        "biConnector": {
          "enabled": true
        }
      }
    }' \
```

### Response

**200 Successful operation**

* The patched resource is returned.
* The `biConnector` property now includes the `host` and `port` attributes needed to connect to the BI Connector. These are read-only attributes and cannot be changed.
* At this point, you have enabled the BI Connector on your database.

{% hint style="info" %}
**Note:** After the BI Connector is enabled, it may take a few minutes until the connector is ready for connections.
{% endhint %}

```json
{
  "type": "cluster",
  "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "metadata": {...},
  "properties": {
    ...
    "biConnector": {
      "enabled": true,
      "host": "r1.m-65f4a879f126e3c4.mongodb.de-fra.ionos.com",
      "port": 27015
    },
    ...
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/databases/mongodb/api/v1-api/enable-the-biconnector.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
